Subject: RE: [Dime] RFC3588 7.2 Misleading ABNF

From: "Glen Zorn \(gwz\)" <[email-masked]>
Date: Fri, 16 Jun 2006 11:19:02 -0700

Yoshihiro Ohba <mailto:[email-masked]> supposedly scribbled:

...

>> As the starting assumption, I believe Protocol Errors must be related
>> only with routing, i.e. erorrs which are interesting from
>> intermediares point of view. Currently there a few errors classiefed
>> as protocl errors, which aren't, and hopefully we can have some
>> cleanup there. 
> 
> Can you eraborate on why protocols errors must be related only to
> routing? 

I don't believe that they do; protocol errors only are generated from the base protocol, but the base protocol does things besides message routing (notably capabilities notification).

...

>> 
>> c) { Origin-Host } { Origin-Realm }
>> I assume those are *not* the Origin-Host Origin-Realm AVP of the
>> original message -7.4 Error-Reporting hints that they aren't-. Why
>> do we need them? If for troubleshooting, I would opt for
>> Error-Reporting-Host AVP. When 
>> a relay agent receives a protocol error answer, how does it know
>> which Origin-Host/Origin-Realm AVP to remove -there is also a pair
>> for the 
>> original message, which should be kept intact-.
> 
> Origin-Host AVP and Error-Reporting-Host AVP may point to different
> nodes, since Origin-Host and Origin-Realm AVPs may be replaced by a
> proxy.  

I believe that you are mistaken on this: section 6.3 of RFC 3588 states "The Origin-Host AVP (AVP Code 264) is of type DiameterIdentity, and MUST be present in all Diameter messages.  This AVP identifies the endpoint that originated the Diameter message.  Relay agents MUST NOT modify this AVP.", while section 1.1 says "A Diameter agent is a node that does not authenticate and/or authorize messages locally; agents include proxies, redirects and relay agents."  

...

Hope this helps,

~gwz

Why is it that most of the world's problems can't be solved by simply
  listening to John Coltrane? -- Henry Gabriel

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime

---

From: Yoshihiro Ohba <[email-masked]>
Date: Fri, 16 Jun 2006 14:25:17 -0400

Hi Glen,

> I believe that you are mistaken on this: section 6.3 of RFC 3588 states "The Origin-Host AVP (AVP Code 264) is of type DiameterIdentity, and MUST be present in all Diameter messages.  This AVP iden…

Is a proxy a relay agent?  I could not find such an explicit statement
in RFC 3588, but I could be wrong.

Yoshihiro Ohba